{% extends "world_of_islam/layouts/page.html" %}{% load static humanize custom_tags %}
<i></i>
{% block world_of_islam %}

{% include "world_of_islam/layouts/top-panel.html" with category=_("Videos") order_types=order_types %}

{% comment %} VIDEOS {% endcomment %}
<ul class="grid gap-8">
  {% for obj in objects %}
  <li
    data-aos-duration="1000"
    data-aos="{% if forloop.counter|divisibleby:2 %}fade-up-left{% else %}fade-up-right{% endif %}"
  >
    <div class="bg-gradient-to-br from-white to-main-white px-5 py-4 rounded-lg shadow-lg transition  duration-500 hover:shadow-card hover:-translate-y-0.5">
      <div class="flex flex-col gap-3 md:flex-row md:gap-10">
        
        <a
          href="{{obj.id}}"
          title="{{obj.title}}"
          class="relative block w-full md:min-w-[20rem] md:max-w-xs mx-auto aspect-video bg-accent overflow-hidden rounded-md shadow-lg bg-[url({% static "media/images/islamic_pattern_black_6.png" %})] bg-[length:10rem_auto] bg-fixed transition duration-500 group-hover:contrast-125 overflow-hidden"
        >
          {% if obj.cover %}
          <img
            alt="{{obj.title}}"
            title="{{obj.title}}"
            src="{% get_media_prefix %}{{obj.cover}}"
            class="w-full h-full object-cover"
          />
          {% else %}
          <div class="w-full h-full bg-gradient-to-br from-accent via-transparent to-accent"></div>
          {% endif %}
          <div class="absolute pointer-events-none bottom-1/2 right-1/2 translate-x-1/2 translate-y-1/2">
            <i
              data-aos="zoom-in"
              data-aos-delay="400"
              data-aos-duration="1000"
              class="fa-solid fa-video h-14 w-14 grid place-items-center text-2xl bg-gradient-to-br from-main/95 to-main-darken text-accent rounded-full shadow-lg"
            ></i>
          </div>
        </a>
        <div class="grow flex flex-col justify-between">
          <div class="grid gap-y-3 mb-5">
            <h3
              data-aos="fade-left"
              data-aos-delay="200"
              data-aos-duration="1000"
              data-aos-anchor-placement="top-bottom"
              class="line-clamp-1 text-3xl pt-2"
            >
              {{obj.title}}
            </h3>
            <p
              data-aos="fade-left"
              data-aos-delay="300"
              data-aos-duration="1000"
              data-aos-anchor-placement="top-bottom"
              class="line-clamp-5 leading-tight indent-6"
            >
              {{obj.text|linebreaksbr|indent:"1.5rem"}}
            </p>
          </div>
          <div
            data-aos="fade-left"
            data-aos-delay="300"
            data-aos-duration="1000"
            data-aos-anchor-placement="top-bottom"
            class="flex flex-col-reverse gap-y-4 xs:flex-row xs:justify-between items-center"
          >
            <a
              href="{{obj.id}}"
              class="inline-flex items-center gap-2 h-8 px-6 text-white text-xs font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-main/95 to-main-dark hover:bg-gradient-to-tl"
            >
              <i class="fa-solid fa-video"></i>
              {{_("Watch")}}
            </a>
            <div class="flex w-full xs:w-auto gap-x-5 justify-end items-center px-3 text-xs text-main/75">
              <div class="flex gap-x-1.5 items-center line-clamp-1">
                <i class="fa-regular fa-eye"></i>
                <em>{{obj.hit|intword}}</em>
              </div>
              <div class="flex gap-x-0.5 items-center">
                <i class="fa-regular fa-clock"></i>
                <em class="line-clamp-1">{{obj.created_date|naturaltime}}</em>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </li>
  {% endfor %}
</ul>

{% endblock world_of_islam %}
